$primary: #0a96eb;
/* verde */
$secondary: #029ddd;
/* Azul */
@import "../bootstrap/scss/bootstrap";



// $success: #0f0; /* Verde */
// $danger: #f00; /* Rojo */
// $warning: #ff0; /* Amarillo */
// $info: #00f; /* Azul */
// $light: #fff; /* Blanco */
body {
    overflow-x: hidden;
    background: #f2f2f2;
    position: relative;
}

.banner {
    min-height: 300px;
}

.main {
    padding-top: 66px;
    margin-bottom: 50px;
    min-height: 100vh;
}

a {
    text-decoration: none;
    outline: none;
    color: #444;
}

a:hover {
    color: #444;
}

.btn-size {
    display: block;
    max-width: 163px;
    width: 100% !important;
    margin: auto;
}

a:hover,
a:focus,
input,
textarea {
    text-decoration: none;
    outline: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Roboto', sans-serif !important;
}

p {
    font-family: 'Roboto', sans-serif !important;

}
.loading-none{
    display: none !important;
}
div#loading {
    height: 100%;
    width: 100%;
    position: fixed;
    z-index: 9999999;
    background: white;
    display: flex;
    justify-content: center;
   

    .loading-content {
        max-width: 100px;
        width: 100%;
        height: 100px;
        margin: auto;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;

        img {
            width: 100%;
            height: 100%;
            object-fit: cover;
            object-position: center;
        }

        span {
            font-size: 1.2em;
            font-weight: bold;
            background: linear-gradient(90deg, #26ff00, #cbc7c7, #009bd8, #55d600);
            background-size: 200%;
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
            animation: gradientMove 3s infinite linear;
        }

        /* Definición de la animación */
        @keyframes gradientMove {
            0% {
                background-position: 0%;
            }

            100% {
                background-position: 100%;
            }
        }
    }
}

@import "header";
@import "footer";
@import "home";
@import "ofertas";
@import "login";
@import "cart";
@import "cart2";
@import "catalogo";
@import "contacto";
@import "interna";
@import "legacy";

// Small devices (landscape phones, 576px and up)
@media (min-width: 576px) {
    h1 {
        font-size: 36px;
    }

    h2,
    h3,
    h5 {
        font-size: 24px;
    }
}

// Medium devices (tablets, 768px and up)
@media (min-width: 768px) {
    // h1 {
    //     font-size: 48px;
    // }

    // h2,
    // h3 {
    //     font-size: 30px;
    // }
}

// Large devices (desktops, 992px and up)
@media (min-width: 992px) {
    // h1 {
    //     font-size: 48px;
    // }

    // h2,
    // h3 {
    //     font-size: 30px;
    // }
}

// X-Large devices (large desktops, 1200px and up)
@media (min-width: 1200px) {
    h1 {
        font-size: 48px;

    }

    h2,
    h3 {
        font-size: 30px;

    }
}

// XX-Large devices (larger desktops, 1400px and up)
@media (min-width: 1400px) {
    // h1 {
    //     font-size: 60px;

    // }

    // h2,
    // h3 {
    //     font-size: 30px;

    // }
}


// Pantallas grandes: Entre 36px y 60px para el H1, y gradualmente más pequeños para los H2 y H3.
// Subtítulos:

// Mobile: Entre 18px y 24px.
// Tablet: Entre 22px y 28px.
// Pantallas grandes: Entre 24px y 32px.
// Párrafos:

// Mobile: Entre 16px y 18px.
// Tablet: Entre 18px y 20px.
// Pantallas grandes: Entre 20px y 22px.
// Texto pequeño (pie de página, enlaces, etc.):

// Mobile: A partir de 12px.
// Tablet: A partir de 14px.
// Pantallas grandes: A partir de 16px.